clang 8.0.0

Namespaces | Functions
ASTConsumers.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include <memory>`
`#include <string>`
Include dependency graph for ASTConsumers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
std::unique_ptr< ASTConsumer > | clang::CreateObjCRewriter (const std::string &InFile, std::unique_ptr< raw_ostream > OS, DiagnosticsEngine &Diags, const LangOptions &LOpts, bool SilenceRewriteMacroWarning)
std::unique_ptr< ASTConsumer > | clang::CreateModernObjCRewriter (const std::string &InFile, std::unique_ptr< raw_ostream > OS, DiagnosticsEngine &Diags, const LangOptions &LOpts, bool SilenceRewriteMacroWarning, bool LineInfo)
std::unique_ptr< ASTConsumer > | clang::CreateHTMLPrinter (std::unique_ptr< raw_ostream > OS, Preprocessor &PP, bool SyntaxHighlight=true, bool HighlightMacros=true)
| CreateHTMLPrinter - Create an AST consumer which rewrites source code to HTML with syntax highlighting suitable for viewing in a web-browser. More...